Выполнение произвольных команд в Snoopy

Дата публикации:
27.10.2005
Дата изменения:
27.10.2008
Всего просмотров:
2217
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Snoopy 1.x
Уязвимые версии: Snoopy PHP Webclient 1.2 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные команды на системе.

Уязвимость существует при обработке входных данных в функции _httpsrequest() перед вызовом PHP функции exec(). Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные команды на целевой системе с привилегиями web сервера. Пример:

http://[target]/fetch.php?url=https://www.%22;+echo+'hello'+%3E+test.txt

URL производителя: snoopy.sourceforge.net

Решение: Установите последнюю версию (1.2.1) с сайта производителя.

Ссылки: Snoopy Remote Code Execution Vulnerability

или введите имя

CAPTCHA